// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ロゴ関連
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbLogoCheck extends YmsbCheck {

	arrJSONLogo	= [SbJSON.LOGO_1P, SbJSON.LOGO_2P];

	constructor(vorh, box01, box02) {
		super();
		this.arrLogoTop = new Array(2);
		this.arrLogoTop[0] = new YmsbImage(1.0, SbCSS.BOX_LOGO_TOP_1P, vorh, box01, ANI_DELY_ON_BOX_LOGO);
		this.arrLogoTop[1] = new YmsbImage(1.0, SbCSS.BOX_LOGO_TOP_2P, vorh, box02, ANI_DELY_ON_BOX_LOGO);
		this.arrLogoChara = new Array(2);
		this.arrLogoChara[0] = new YmsbImage(1.0, SbCSS.BOX_LOGO_CHARA_1P, vorh, box01, ANI_DELY_ON_BOX_LOGO);
		this.arrLogoChara[1] = new YmsbImage(1.0, SbCSS.BOX_LOGO_CHARA_2P, vorh, box02, ANI_DELY_ON_BOX_LOGO);
		this.currLogo = ["", ""];
		this.currSetting = YMSB_OFF;
	}

	// データ切り分け
	checkData() {
		let logoSetting = jsonData[SbJSON.LOGO_SETTING];
		for (let i = 0; i < 2; i++) {
			let newImage = jsonData[this.arrJSONLogo[i]];
			newImage = newImage.substring(0,4);
			let newLogo = "";
			let cssProp = "";
			if ("" != newImage) {
				newLogo = YMSB_URL_LOGO + newImage + YMSB_IMAGE_EXT;
				cssProp = {"background-image" : "url(" + newLogo + ")"};
			}

			if		(YMSB_OFF_ON == currScoreBoard && "" != newImage) {
				if  (YMSB_ON != logoSetting) {
					this.arrLogoTop[i].animeOn(newLogo, cssProp);
				}
				else {
					this.arrLogoChara[i].animeOn(newLogo, cssProp, true);
				}
			}
			else if	(YMSB_ON_OFF == currScoreBoard && "" != newImage) {
				if  (YMSB_ON != this.currSetting) {
					this.arrLogoTop[i].animeOff();
				}
				else {
					this.arrLogoChara[i].animeOff(true);
				}
			}
			else if	(YMSB_ON == currScoreBoard) {
				if		("" != this.currLogo[i] && "" == newImage) {
					if  (YMSB_ON != this.currSetting) {
						this.arrLogoTop[i].animeOff();
					}
					else {
						this.arrLogoChara[i].animeOff(true);
					}
				}
				else if ("" == this.currLogo[i] && "" != newImage) {
					if  (YMSB_ON != logoSetting) {
						this.arrLogoTop[i].animeOn(newLogo, cssProp);
					}
					else {
						this.arrLogoChara[i].animeOn(newLogo, cssProp, true);
					}
				}
				else if (logoSetting != this.currSetting && "" != this.currLogo[i] && "" != newImage) {
					if  (YMSB_ON != logoSetting) {
						this.arrLogoChara[i].animeOff(true);
						this.arrLogoTop[i].animeOn(newLogo, cssProp);
					}
					else {
						this.arrLogoTop[i].animeOff();
						this.arrLogoChara[i].animeOn(newLogo, cssProp, true);
					}
				}
				else if (logoSetting == this.currSetting && this.currLogo[i] != newImage && "" != this.currLogo[i] && "" != newImage) {
					if  (YMSB_ON != logoSetting) {
						this.arrLogoTop[i].animeUpdate(newLogo, cssProp);
					}
					else {
						this.arrLogoChara[i].animeUpdate(newLogo, cssProp, true);
					}
				}
				else {
					// nop
				}
			}
			else {
				// nop
			}
			this.currLogo[i] = newImage;
		}
		this.currSetting = logoSetting;
	}
}
